%define         pypiname          CreateCloudMap
%define         srcname           cloudmap

Name:           python-cloudmap
Version:        0.99.0
Release:        %mkrel 4

Summary:        A Python script to create a real-time cloud map for Xplanet
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.org/project/CreateCloudMap
Source0:        https://pypi.io/packages/source/C/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch


%description
CreateCloudMap is a Python script to generate a cloud map for xplanet
using data provided by https://clouds.matteason.co.uk/. The script
automatically checks, if a new image is available. The default
behavior is to only download the image, if it is new. Xplanet can use
such a cloud map to make the Earth looking like what you would see
from space.


%package -n python3-cloudmap
Summary:        A Python3 script to create a real-time cloud map for Xplanet
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(tomli)
BuildRequires:  python3dist(versioneer)
BuildRequires:  python3dist(versioneer[toml])
BuildRequires:  python3dist(python-dateutil)
Recommends:     xplanet

%description -n python3-cloudmap
%{summary}.


%prep
%autosetup -p1 -n %{pypiname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cloudmap

%files -n python3-cloudmap -f %{pyproject_files}
%doc cfg
%{_bindir}/create_map


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.99.0-4.mga10
+ Revision: 2241866
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.99.0-3.mga10
+ Revision: 2159217
- rebuild for python3.13

* Mon Apr 15 2024 eatdirt <eatdirt> 0.99.0-2.mga10
+ Revision: 2057785
- Update description

* Sat Apr 06 2024 eatdirt <eatdirt> 0.99.0-1.mga10
+ Revision: 2055290
- Update to version 0.99.0

* Mon Mar 28 2022 umeabot <umeabot> 0.9.13-6.mga9
+ Revision: 1829627
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.9.13-5.mga9
+ Revision: 1785577
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.9.13-4.mga9
+ Revision: 1732337
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.9.13-3.mga8
+ Revision: 1535860
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.9.13-2.mga8
+ Revision: 1452781
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 0.9.13-1.mga7
+ Revision: 1371867
- Upgrade to version 0.9.13

* Tue Jan 22 2019 eatdirt <eatdirt> 0.9.11-1.mga7
+ Revision: 1359143
- Upgrade to version 0.9.11

* Sat Jan 12 2019 tmb <tmb> 0.9.10-2.mga7
+ Revision: 1355174
- rebuild for python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.7-5.mga7
+ Revision: 1288420
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 0.9.7-4.mga7
+ Revision: 1250040
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 0.9.7-3.mga7
+ Revision: 1248739
- Python2 repackaging

* Sun May 13 2018 eatdirt <eatdirt> 0.9.7-2.mga7
+ Revision: 1229129
- Update URL

* Thu Mar 15 2018 eatdirt <eatdirt> 0.9.7-1.mga7
+ Revision: 1209598
- Upgrade to version 0.9.7

* Tue Oct 31 2017 eatdirt <eatdirt> 0.9.3-1.mga7
+ Revision: 1175226
- Upgrade to version 0.9.3

* Mon Oct 30 2017 eatdirt <eatdirt> 0.9.2-2.mga7
+ Revision: 1175038
- Add missing config files, fix misprint in description

* Fri Oct 27 2017 eatdirt <eatdirt> 0.9.2-1.mga7
+ Revision: 1174082
- imported package python-cloudmap

